# coding: utf-8
from google.appengine.ext import webapp
from google.appengine.ext.webapp import util

page = '''
<html>
 <head>
 <script type='text/javascript'
src='https://www.google.com/jsapi'></script>
 <script type='text/javascript'>
   google.load('visualization', '1', {packages:['gauge']});
   google.setOnLoadCallback(drawChart);
   function drawChart() {
     use = %d;
     cap = %d;
     var data = new google.visualization.DataTable();
     data.addColumn('string', 'Label');
     data.addColumn('number', 'Value');
     data.addRows(1);
     data.setValue(0, 0, '(万kW)');
     data.setValue(0, 1, use);
     var chart = new google.visualization.Gauge(
       document.getElementById('chart_div'));
     chart.draw(data, {width: 400, height: 400, max: cap});
   }
 </script>
 </head>
 <body>
   <h1>現在の供給電力</h1>
   <div id='chart_div'></div>
 </body>
</html>
'''

from google.appengine.api.urlfetch import fetch
import json
src_url = 'http://tepco-usage-api.appspot.com/latest.json'

class MainHandler(webapp.RequestHandler):
 def get(self):
   try:
     data = json.loads(fetch(src_url).content)
   except:
     self.response.out.write(u'データを取得できません。')
     return
   self.response.out.write(page %(data['usage'], data['capacity']))

def main():
 application = webapp.WSGIApplication([('/', MainHandler)],debug=True)
 util.run_wsgi_app(application)

if __name__ == '__main__':
 main()
 
